Loading...
Searching...
No Matches
PackedVertex Struct Reference

Packed vertex structure for efficient GPU transfer. More...

`#include <avogadro/rendering/packedvertex.h>`

## Public Member Functions

| PackedVertex (const Vector4ub &c, const Vector3f &n, const Vector3f &v)

## Static Public Member Functions

static int | colorOffset ()
static int | normalOffset ()
static int | vertexOffset ()

## Public Attributes

Vector4ub | color
Vector3f | normal
Vector3f | vertex
unsigned char | padding [4]

## Detailed Description

This structure packs color, normal, and vertex data into a 32-byte aligned format that is ideal for GPU memory access patterns.

The documentation for this struct was generated from the following file:

- packedvertex.h